Name:             adobe-mappings-pdf
Summary:          PDF mapping resources from Adobe
Version:          20190401
Release:          2
License:          BSD

URL:              https://www.adobe.com/
Source:           https://github.com/adobe-type-tools/mapping-resources-pdf/archive/%{version}.tar.gz

BuildArch:        noarch

%description
These mapping resources are used to derive content from PDF (Portable Document Format) files 
that include CJK (Chinese, Japanese, and Korean) information. These mapping resources are in use by Adobe Reader,
Adobe Acrobat (Pro and Standard), and Acrobat Distiller, which are now part of the Adobe Document Cloud family.
These mapping resources are also useful for third-party PDF clients, thus the need for this open source project.

%package devel
Summary:          RPM macros for Adobe's PDF mapping resources
Requires:         %{name} = %{version}-%{release}

%description devel
This package installs RPM macros.It is useful for%{name}

%package_help

%prep
%autosetup -n mapping-resources-pdf-%{version}

%install
%make_install prefix=%{_prefix}

install -m 0755 -d %{buildroot}%{_rpmmacrodir}

cat > %{buildroot}/%{_rpmmacrodir}/macros.%{name} << _EOF
%%adobe_mappings_rootpath     %{_datadir}/adobe/resources/mapping/
_EOF

%files
%defattr(-,root,root)
%license LICENSE.txt
%dir %{_datadir}/adobe
%dir %{_datadir}/adobe/*
%{_datadir}/adobe/resources/mapping/*

%files devel
%defattr(-,root,root)
%{_rpmmacrodir}/macros.adobe-mappings-pdf

%files help
%doc README.md

%changelog
* Wed Sep 9 2020 hanhui <hanhui15@huawei.com> - 20190401-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source url

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 20190401-1
- Package init
